{% extends 'base.html' %}

{% block title %}Clusters{% endblock %}
{% block active_tab %}Clusters{% endblock %}

{% block content %}
    <div class="content-base list-header">
        <h4>Clusters</h4>
        {{ md.add_button('Connect', 'cluster_create') }}
    </div>

    <div class="content-base no-pad">
        <table class="table">
            <thead>
                <tr>
                    <th>Current</th>
                    <th>Name</th>
                    <th>Address</th>
                    <th>Namespace</th>
                    <th></th>
                </tr>
            </thead>
            <tbody>
                {% for cluster in clusters %}
                    <tr>
                        <td>
                            <div class="mdc-radio">
                                <input class="mdc-radio__native-control"
                                       type="radio"
                                       id="radio-{{ loop.index }}"
                                       name="is_active"
                                       value="{{ cluster.name }}"
                                       {% if cluster.is_active %}checked{% endif %}>
                                <div class="mdc-radio__background">
                                    <div class="mdc-radio__outer-circle"></div>
                                    <div class="mdc-radio__inner-circle"></div>
                                </div>
                            </div>
                        </td>
                        <td>{{ cluster.name }}</td>
                        <td>{{ cluster.server }}</td>
                        <td>{{ cluster.namespace }}</td>
                        <td class="button-column">
                            {{ md.post_button('Disconnect', 'cloud_off', 'delete-button', url_for('cluster_delete', name=cluster.name)) }}
                        </td>
                    </tr>
                {% endfor %}

                {% if not clusters %}
                    <tr>
                        <td class="empty-msg">No clusters yet</td>
                        <td></td>
                        <td></td>
                        <td></td>
                        <td></td>
                    </tr>
                {% endif %}
            </tbody>
        </table>
    </div>
{% endblock %}

{% block scripts %}
    <script>
        $('input[name=is_active]').on('change', function (e) {
            let name = $(e.target).val();
            let url = '/clusters/set-current/' + name;
            $.post(url).done(function () {
                window.location.reload(false);
            });
        });
    </script>
{% endblock %}
